Browse endpoints

Cancel an ID Pass

POST /api/v2/idpass/cancel operationId: idpass_cancel

Live: https://gdapi.globaldata.net.au/api/v2/idpass/cancel · Sandbox: https://sandbox-gdapi.globaldata.net.au/api/v2/idpass/cancel

Cancel an ID Pass. Only ID Passes with status new, opened, or in_progress can be cancelled. Terminal statuses (complete, expired, failed, cancelled) will return an error.

Please review the full ID Pass documentation here:

ID Pass documentation

Refund behaviour

  • Refund: A cancel request will refund the fee if the ID Pass status is still new or opened (no verification steps have been taken).
  • No refund: If any steps have been taken (for example status is in_progress or the user has started the flow), no refund is issued.

Request body

Content type application/json. The ID of the ID Pass to cancel

FieldDescription
idrequired string (uuid)

The id of the ID Pass to cancel

Example: fe4291ca-d831-4760-96df-c9cb03b3cd95

Responses

200

ID Pass cancelled successfully

application/json
FieldDescription
message string

A message indicating the result of the request

Example: Ok

api_reference string (uuid)

A unique identifier for this request

id string (uuid)

The identifier for this ID Pass

status string

The status of the ID Pass after cancellation

Enum: cancelled

Example: cancelled

fee_refunded boolean

Whether a fee refund was applied (true if no verification steps had been taken and a fee had been charged)

Example: false

Standard error responses: 400 401 402 403 429 5XX See common error responses